Bug 260032

Summary: lang/ruby30: Update to 3.0.3
Product: Ports & Packages Reporter: Yasuhiro Kimura <yasu>
Component: Individual Port(s)Assignee: Yasuhiro Kimura <yasu>
Status: Closed FIXED    
Severity: Affects Only Me CC: ruby
Priority: --- Flags: yasu: maintainer-feedback? (ruby)
yasu: merge-quarterly?
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://www.ruby-lang.org/en/news/2021/11/24/ruby-3-0-3-released/
Attachments:
Description Flags
Patch file none

Description Yasuhiro Kimura freebsd_committer 2021-11-24 18:56:20 UTC
Created attachment 229711 [details]
Patch file

Update to 3.0.3.

ReleaseNotes:   https://www.ruby-lang.org/en/news/2021/11/24/ruby-3-0-3-released/
Security:       CVE-2021-41816
Security:       CVE-2021-41817
Security:       CVE-2021-41819
MFH:            2021Q4
Comment 1 Yasuhiro Kimura freebsd_committer 2021-12-08 23:10:57 UTC
Maintainer timeout (> 2 weeks). Take.
Comment 2 commit-hook freebsd_committer 2021-12-08 23:24:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ac9a45551035273287bcd981fe5d586a1a2304a4

commit ac9a45551035273287bcd981fe5d586a1a2304a4
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-11-24 18:52:25 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-12-08 23:21:58 +0000

    lang/ruby30: Update to 3.0.3

    ReleaseNotes:   https://www.ruby-lang.org/en/news/2021/11/24/ruby-3-0-3-released/
    PR:             260032
    Approved by:    maintainer timeout (> 2 weeks)
    Security:       CVE-2021-41816
    Security:       CVE-2021-41817
    Security:       CVE-2021-41819
    MFH:            2021Q4

 Mk/bsd.ruby.mk        |   2 +-
 lang/ruby30/distinfo  |   6 +-
 lang/ruby30/pkg-plist | 371 ++++++++++++++++++++++++++++----------------------
 3 files changed, 215 insertions(+), 164 deletions(-)
Comment 3 commit-hook freebsd_committer 2021-12-08 23:33:24 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a30de761d84168728e36f76f19b1e13a2fd3ac1b

commit a30de761d84168728e36f76f19b1e13a2fd3ac1b
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-11-24 18:52:25 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-12-08 23:28:21 +0000

    lang/ruby30: Update to 3.0.3

    ReleaseNotes:   https://www.ruby-lang.org/en/news/2021/11/24/ruby-3-0-3-released/
    PR:             260032
    Approved by:    maintainer timeout (> 2 weeks)
    Security:       CVE-2021-41816
    Security:       CVE-2021-41817
    Security:       CVE-2021-41819
    MFH:            2021Q4

    (cherry picked from commit ac9a45551035273287bcd981fe5d586a1a2304a4)

 Mk/bsd.ruby.mk        |   2 +-
 lang/ruby30/distinfo  |   6 +-
 lang/ruby30/pkg-plist | 371 ++++++++++++++++++++++++++++----------------------
 3 files changed, 215 insertions(+), 164 deletions(-)
Comment 4 Yasuhiro Kimura freebsd_committer 2021-12-08 23:37:04 UTC
Committed and merged to quarterly branch.